org.fourthline.cling.model.types

## Class UDAServiceId

- java.lang.Object
- - org.fourthline.cling.model.types.ServiceId
  - - org.fourthline.cling.model.types.UDAServiceId

-     public class UDAServiceId
      extends ServiceId

  Service identifier with a fixed `upnp-org` namespace.

  Also accepts the namespace sometimes used by broken devices, `schemas-upnp-org`.

  Author:
    Christian Bauer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BROKEN_DEFAULT_NAMESPACE`
    `static Pattern` | `BROKEN_PATTERN`
    `static String` | `DEFAULT_NAMESPACE`
    `static Pattern` | `PATTERN`

    - ### Fields inherited from class org.fourthline.cling.model.types.ServiceId

      `UNKNOWN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UDAServiceId(String id)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UDAServiceId` | `valueOf(String s)`

    - ### Methods inherited from class org.fourthline.cling.model.types.ServiceId

      `equals, getId, getNamespace, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_NAMESPACE

          public static final String DEFAULT_NAMESPACE

      See Also:
        Constant Field Values

    - #### BROKEN_DEFAULT_NAMESPACE

          public static final String BROKEN_DEFAULT_NAMESPACE

      See Also:
        Constant Field Values

    - #### PATTERN

          public static final Pattern PATTERN

    - #### BROKEN_PATTERN

          public static final Pattern BROKEN_PATTERN

  - ### Constructor Detail

    - #### UDAServiceId

          public UDAServiceId(String id)

  - ### Method Detail

    - #### valueOf

          public static UDAServiceId valueOf(String s)
                                      throws InvalidValueException

      Throws:
        `InvalidValueException`

Copyright © 2016 4th Line GmbH, Switzerland. All rights reserved.